<template>
    <div class="login-container">
      <div class="login-form">
        <h2>Login</h2>
        <form @submit.prevent="login">
          <div class="form-group">
            <label for="username">Username:</label>
            <input type="text" v-model="username" required>
          </div>
          <div class="form-group">
            <label for="password">Password:</label>
            <input type="password" v-model="password" required>
          </div>
          <button type="submit" class="btn btn-primary">Login</button>
        </form>
        <p v-if="errorMessage" class="error">{{ errorMessage }}</p>
      </div>
    </div>
  </template>
  
  <script>
  import axios from 'axios';
  
  export default {
    name: 'Login',
    data() {
      return {
        username: '',
        password: '',
        errorMessage: '' // Dodato za čuvanje poruke o grešci
      };
    },
    methods: {
      login() {
        axios.post('http://localhost:3000/users/login', {
          username: this.username,
          password: this.password
        })
        .then(response => {
          console.log("Login successful", response);
          this.errorMessage = ''; // Očisti poruku o grešci ako je login uspešan
          console.log(response.data.role)
          console.log(response.data)
          localStorage.setItem('user', JSON.stringify(response.data.role)); // Čuvanje podataka o korisniku u localStorage
          localStorage.setItem('fulluser', JSON.stringify(response.data));
          this.$router.push({ name: 'home' }); // Preusmeravanje korisnika
        })
        .catch(error => {
          console.error("Error logging in", error);
          this.errorMessage = 'Invalid username or password'; // Postavi poruku o grešci
        });
      }
    }
  };
  </script>
  
  <style scoped>
  .login-container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    background-color: #f8f9fa;
  }
  
  .login-form {
    background: #fff;
    padding: 30px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    width: 100%;
    max-width: 400px;
  }
  
  h2 {
    margin-bottom: 20px;
  }
  
  .form-group {
    margin-bottom: 15px;
  }
  
  label {
    display: block;
    margin-bottom: 5px;
  }
  
  input {
    width: 100%;
    padding: 8px;
    box-sizing: border-box;
    border: 1px solid #ced4da;
    border-radius: 4px;
  }
  
  .btn {
    width: 100%;
    padding: 10px;
    border: none;
    border-radius: 4px;
    background-color: #007bff;
    color: #fff;
    font-size: 16px;
    cursor: pointer;
  }
  
  .btn:hover {
    background-color: #0056b3;
  }
  
  .error {
    color: red;
    margin-top: 15px;
  }
  </style>
  